IP Ultra Scan 2000 - Main

Ultrajones Software
IP Ultra Scan 2000

Getting Started

IP Ultra Scan 2000 is a graphical network administration tool that should greatly simplify tracking your IP address ranges. With IP Ultra Scan 2000, you can track IP address range utilization, IP address status and what services are running on each device within the defined IP address range.

Quick Setup

By performing the following tasks in order, you can easily set up IP Ultra Scan 2000 to manage your IP address ranges.

  • Identify the ranges you wish to track using IP Ultra Scan 2000. http://www.arin.net can provide you information on IP address ranges that have been assigned to you or your company.
  • Define each range in IP Ultra Scan 2000. Note: IP Ultra Scan 2000 only supports ranges based on a netmask of 255.255.255.0 or /24 CIDR.
  • Define the ports you wish to scan. Note: Port scanning occurs on devices that respond to a ping.
  • Start the ping process.

Learning More About IP Ultra Scan 2000

The following topics are available which describe the options and features available in IP Ultra Scan 2000. Just click on the topic in the contents tab to the left.

  • Window GUI Details - Describes the components that make up the graphical user interface (GUI.)
  • Basic Operation - Describes the basic operations to control IP Ultra Scan 2000
  • Basic Configuration - Describes how to configure IP Ultra Scan 2000 for your network.
  • Available Options - Describes all of the available options to enhance the usage of IP Ultra Scan 2000.

Miscellaneous

  • What's New - Describes new features and fixes since the last version
  • Known Problems - Describes the known problems with the current version. (requires Internet access)
  • Download New Version - Check to see if a newer version is available. (requires Internet access)


IP Ultra Scan 2000 - Introduction

Introduction

IP Ultra Scan 2000 is a graphical tools for network administrators. It will perform a ping on all the IP address ranges you manage, providing you with IP address range utilization and individual IP address status. In addition, it will perform a port scan on responding devices to assist you in enforcing network policies.

Current Features

  • All data is stored in a Microsoft Access 2000 database allowing you to create external programs, scripts and web pages using data access technology (ADO, DAO, ODBC, etc.) to manipulate or read the data.
  • Define an unlimited number of IP address ranges to manage.
  • Perform a reverse DNS lookup on the IP address during the ping process.
  • Tracks ping status, active and in-active date, round trip time (RTT) and port scan results for each IP address within each IP address range.
  • Ability to ping an IP address multiple times to determine status.
  • Wizards to assist you in creating a new IP address range.
  • System tray support showing scanning status.
  • Command line options to begin ping process when program starts and terminate program when ping process completes..
  • Ability to save-as, open and compact the underlying database.

Planned Features

  • Export data to comma separated value (CVS) text files.
  • Import IP address ranges into the program.
  • Ability to add comments or location information to each IP address within an IP address range.
  • Add sort ability to IP address and port scan results.


IP Ultra Scan 2000 - Troubleshooting

Troubleshooting

Q: IP Ultra Scan 2000 will not load. It complains about the database table name not being found or references an invalid database entry.

A: You attempted to load a database that is not compatible with the current version. You can either replace the database you loaded with a known good version, or delete the registry key: HKEY_CURRENT_USER\Software\VB and VBA Program Settings\IP Ultra Scan 2000\Startup. This will force IP Ultra Scan 2000 to load the defaultDB.mdb database.

Q: IP Ultra Scan 2000 will not load. A message box appears stating "The Database you are attempting to load is not compatible with this version of IP Ultra Scan 2000."

A: You have attempted to load a database that is not compatible with the current version. You can either replace the database you loaded with a known good version, or delete the registry key: HKEY_CURRENT_USER\Software\VB and VBA Program Settings\IP Ultra Scan 2000\Startup. This will force IP Ultra Scan 2000 to load the defaultDB.mdb database.

Q: IP Ultra Scan 2000 will not load. A message box appears stating "Unable to create Microsoft.Jet.OLEDB.4.0 object because you do not have Microsoft Data Access Components 2.5 (MDAC) installed. Windows 95 users must install DCOM95 prior to installing MDAC. Refer to the readme.txt file under the 'Minimum Requirements' section for more details."

A: Your Microsoft Data Access Components (MDAC) are not up to date. If you are running Windows 95, you must also install DCOM95 prior to installing MDAC. More information is available at http://www.microsoft.com/data

Q: IP Ultra Scan 2000 will not install. A message box appears stating "A required .DLL file, MSVBVM60.DLL, was not found." and/or "Cannot start main setup program! (CreateProcess() returned error code...)"

A: Download and install the Microsoft Visual Basic 6.0 runtime files. The file has been removed from IP Ultra Scan 2000 setup at the request of many distribution location. You can download this file from www.microsoft.com, ftp.cdrom.com, ftp.simtel.net and many other software download sites.

Q: When I stop the ping process, it takes a long time to reset.

A: The program waits until all open TCP, Ping and host lookup connections have closed gracefully. This may take up to 1 minute for the process to complete. Attempting to close the program while a shutdown of the open connections are pending, an error may occur in the program.

Q: An error occured while installing IP Ultra Scan 2000. It stated: "An error occured while registering the file hhctrl.ocx." What does this mean?

A: HTML help is something new to the Windows operating system. It first appeared in Windows 98. If you receive this error, IP Ultra Scan 2000 will still function, however, in order to use the HTML help included with the program you must download the HTML help update from Microsoft. Download the HTML Help Installation and Update Package (Hhupd.exe) 1.32 (Windows 2000 users should not run the HTML Help Installation and Update Package.)


IP Ultra Scan 2000 - Clear Registry Settings

Clear Registry Settings

You can delete all registry settings associated to IP Ultra Scan 2000.

To clear the registry settings, select tools from the applications menu, select advanced, then select Clear Registry Settings.

A message box will appear to confirm your desire to clear the registry.


IP Ultra Scan 2000 - Application Interface Window Details

Application Interface (Window details)

  • The tree view is the area that contains the defined IP address ranges with checkboxes next to them.
  • The list view is the area that contains IP address range details, IP address details and port scan details. The list view does not contain checkboxes.

The Views combo box determines what is displayed in the list view. Valid choices are:

  • Subnet - Displays the IP address ranges details.
  • Object - Displays all the objects associated with a subnet.
  • Scan Results - Displays any port scan results associated with a subnet.
  • Message Window - Displays scan activity.


IP Ultra Scan 2000 - Application Interface Main Window

Application Interface (Main Window)

Right-clicking in the tree view on the IP Address Range item provides you with the following options:

  • Add IP Address Range - Adds IP address ranges to IP Ultra Scan 2000.
  • Sort IP Ranges - Sorts the ranges in the current tree view.
  • Select Ports To Scan - Opens the select ports to scan wizard
  • Refresh - Refreshes the current view and re-load the data from the database.
  • Properties - Provides the ability to change the IP address range description.

Right-clicking in the tree view on an actual IP Address Range item provides you with the following options:

  • Delete IP Address Range - Deletes IP address ranges from IP Ultra Scan 2000.
  • Sort IP Ranges - Sorts the ranges in the current treeview.
  • Select Ports To Scan - Opens the select ports to scan wizard
  • Refresh - Refreshes the current view and re-load the data from the database.
  • Properties - Provides the ability to change the IP address range description.

Right-clicking in the IP Scan Results List view on a list view item provides you with the following options:

  • Views - Toggle available list views.
  • Refresh - Refreshes the current view and re-load the data from the database.

Clicking on an IP Address Range from the tree view causes the ranges to be displayed in the list view.

Clicking on the actual IP address range from the tree view causes the range to be displayed in the list view.


IP Ultra Scan 2000 - Application Interface Ping Results

Application Interface (IP Ping Results Window)

Right-clicking in an item in the list view while the Views is set to object provides you with the following options:

  • Views - Toggle available list views.
  • Ping Host - Allows you to ping an individual address. Results are updated in the listview and in the database.
  • Host Lookup - Performs a reverse DNS lookup on the IP address selected. Results are updated in the list view and in the database.
  • Scan Ports - Performs a port scan on the selected IP address using the selected ports to scan.
  • Refresh - Refreshes the current view and re-loads the data from the database.
  • Properties - Displays a dialogue window with the status, hostname, active date, in-active date, round trip time and any active ports from the database.

Selecting the actual IP address range from the tree view causes the range to be displayed in the list view.

Ping host, host lookup and scan ports are not enabled during the ping process.


IP Ultra Scan 2000 - Application Interface Port Scan Results

Application Interface (IP Scan Results Window)

Right-clicking in an item in the list view while the Views is set to Scan Results provides you with the following options:

  • Views - Toggle available list views.
  • Connect - Allows you to launch an external program to connect to the port. Enabled when the port is 21, 23 or 80.
  • Delete Scan Results - Allows you to remove all entries related to the current IP address range from the database.
  • Refresh - Refreshes the current view and re-load the data from the database.

After selecting the IP address range from the tree view selecting Scan Results from the Views combo box on the toolbar will display all ports that were active for that IP address range.


IP Ultra Scan 2000 - Compact Database

Compact Database

The database size may grow as you add and delete ranges. When a range is deleted from IP Ultra Scan 2000 the database does not recover the space until you explicitly call the compact database function.

To compact the database, select tools from the applications menu, select Database, then select Compact Database.

A message box will appear when the database compaction is complete.


IP Ultra Scan 2000 - Open Database

Open A Database

Select file from the application menu, then select open database. From the Windows open dialogue, select the database you want to open. Click the OK button to open the database.

Attempting to open a database already in use will result in an non-fatal error.

Opening a database that is not compatible with IP Ultra Scan 2000 may result in errors. In order to correct this problem, you may need to remove the IP Ultra Scan 2000 database registry key. See the troubleshooting section for more information.


IP Ultra Scan 2000 - Saving Database

Saving Database

Select file from application menu, then select save-as. From the Windows save-as dialogue select the database name you want to save, or type the database name in the file name text box. Click the OK button to save the database as the filename you selected.

Attempting to save a database to a database already in use will result in an error.

There is no option to save the currently opened database because the database is automatically saved during the scan process.


IP Ultra Scan 2000 - Log File

Log File

IP Ultra Scan 2000 allows you to record all scan activity to a log file (text file.) The following events are recorded:

  • Scan start time.
  • Scan end time.
  • Scan aborts.
  • Automatic scan startup and shutdown.

To enable logging, select log scans from the Logging Options in the options dialogue window.


IP Ultra Scan 2000 - Select Range To Scan

Select IP Address Ranges To Scan

In order to include an IP Address Range in the ping process, the range must be selected. When you initial defined the range, the range is automatically selected (included in the ping process.)

  • To select a range, click on the checkbox next to the range in the tree view and verify the checkbox is checked.
  • To de-select a range, click on the checkbox next the the range in the tree view and verify the checkbox is not checked.

At lease one range must be selected in order to start the ping process.


IP Ultra Scan 2000 - Select Ports To Scan

Select Ports To Scan

IP Ultra Scan 2000 allows you to select up to 10 ports to scan during the ping process. There are two different ways to select ports to scan.

  1. From the applications menu, select tools, then select Select Ports To Scan.
  2. Right-click on any IP address range in the treeview, and select Select Ports To Scan.

The IP Ultra Scan 2000 - Select Ports To Scan Wizard will provide you a check box with all the ports you have pre-defined. Select the ports you wish to scan by clicking on the check box. Click the Next button and review your choices. Click the finished button to save your choices.

You are currently allowed to select up to 10 ports to scan on responding devices.

Scanning more than 10 ports can cause the remote device to eat up CPU time by accepting the TCP open requests, resulting in a possible denial of service. If you have documentation stating otherwise, I will be willing to increase this limit.


IP Ultra Scan 2000 - Sort IP Ranges

Sort IP Ranges In Treeview

When you add an IP address range, IP Ultra Scan adds them to the bottom of the tree view. You can sort this list by right-clicking on any item in the tree view and selecting Sort IP Ranges.


IP Ultra Scan 2000 - Start Ping

Start Ping Process

There are two different ways to start the ping process in IP Ultra Scan 2000.

  1. From the tools application menu, select Start Ping.
  2. From the toolbar, select the [image] button.

In order to start the ping process, you must have at least one IP address range defined and have selected at least one IP address range to scan.


IP Ultra Scan 2000 - Stop Ping

Stop Ping Process

There are two different ways to start the ping process in IP Ultra Scan 2000.

  1. From the tools application menu, select Stop Ping.
  2. From the toolbar, select the [image] button.

Stopping the ping process may take up to 1 minute. IP Ultra Scan 2000 waits for all open ping, host lookup and TCP connections to close gracefully. If you attempt to close the application during this process an error may occur.


IP Ultra Scan 2000 - Add IP Address Range

Add IP Address Range

There are three different ways to add an IP address range to IP Ultra Scan 2000.

  1. Click on the tools menu, then click on Add IP Range
  2. Click on the toolbar item [image].
  3. Right-click on the IP Address Range in the tree view and select Add IP Range.

The IP Ultra Scan 2000 - Add IP Address Range wizard will walk you through the steps necessary to add an IP address range.

  1. Enter the start IP address range, then click the next button.
  2. Enter the ending IP address range, then click the next button.
  3. Enter the text description of the IP address range, then click the next button.
  4. Review your choices, then click the finished button.

An error will occur if you attempt to add a range that overlaps an existing IP address range. If this occurs, review the current ranges, then enter a range that does not overlap the existing IP address ranges.


IP Ultra Scan 2000 - Delete IP Address Range

Delete IP Address Range

There are three different ways to delete an IP address range from IP Ultra Scan 2000.

  1. Click on the tools menu, then click on Delete IP Range.
  2. Click on the toolbar item [image].
  3. Right-click on the IP Address Range you want to delete in the tree view and select Delete IP Range.

Using option 1 or 2 above will bring up a dialogue window with all the IP address ranges defined in IP Ultra Scan 2000. Select the range you wish to delete, then select the delete button.

Deleting an IP address range also deletes the objects (port scan results and ping statistics) associated with that range.


IP Ultra Scan 2000 - Change IP Range Text Label

Change Text Label For IP Address Range

Select the IP address range from the tree view, then select properties. Make your modifications to the Range Description and click the OK button.

Clicking the cancel button will cancel the Range Description change.


IP Ultra Scan 2000 - Modify Ports List

Modify Ports List

IP Ultra Scan 2000 allows you to modify the list of ports that appear in the "Select Ports To Scan" dialogue window by following the instructions below:

Opening the "Modify Ports List" dialogue window:

  1. From the applications menu, select tools, then select Modify Ports List.

Browsing the "Modify Port List" data:

  1. Select the browse action.
  2. Select the port you wish to browse by clicking the slider on the ports frame.

To Delete a port

  1. Select the port you wish to delete.
  2. Select the delete action, or right-click on the port you wish to delete and select Delete.
  3. Answer Yes to the delete confirmation message box.

To Modify a port

  1. Select the port you wish to modify.
  2. Select the modify action, or right-click on the port you wish to modify and select Modify.
  3. Make changes to the port description, then click on Apply.

To Add a port

  1. Select the Add action, or right-click on any port and select Add.
  2. Type in the port number and port description, then click on Apply.


IP Ultra Scan 2000 - Options(Main)

Options - Main

To disable the Show Confirmation On Shutdown, click on the checkbox and ensure a check does not appear in the checkbox.

To view the descriptions for the other options, either select the title from the help contents menu, or click the option on the image above.


IP Ultra Scan 2000 - Options(Automation)

Options - Automation

IP Ultra Scan 2000 supports automatic ping on application starup and automatic shutdown using command line options.

  • Using the command line option -A cause IP Ultra Scan 2000 to automatically start the ping process when the application starts.
  • Using the command line option -C causes IP Ultra Scan 2000 to automatically terminate after the ping process completes.

After you define the schedules task using the Microsoft Task Scheduler (accessible from the control panel or system tray icon), select properties, then select the task tab. The run command should be similar to this (Notice the -A and -C are outside of the quotes.):

  • "C:\My Documents\VB Projects\Scan 2000\IPScan2000.exe" -A -C


IP Ultra Scan 2000 - Options(Database)

Options - Database

IP Ultra Scan 2000 allows you to open the underlying database in non-exclusive mode (shared mode.) You can then write web pages, scripts or other applications to access the database. If you do not need the database opened in non-exclusive mode, then do not disable this option.

If another process has locked the database while IP Ultra Scan 2000 attempts to use it, then a fatal error will occur, and IP Ultra Scan will close. To correct this problem, you must find what process has the database opened (locked), then close it before re-opening IP Ultra Scan 2000.


IP Ultra Scan 2000 - Options(External Programs)

Options - External Programs

IP Ultra Scan 2000 will allow you to launch external programs when clicking on port 21, 23 or port 80 from the port scan results window.

To define an external program, click on the Define button, then select the path and filename for the application.

Connections to port 80 uses your default web browser.


IP Ultra Scan 2000 - Options(Logging)

Options - Logging

IP Ultra Scan 2000 allows to to log scan activity.

To enable logging, click the Log Scans checkbox.

To define a Log File, click the Log File button, select the path from the Save-as dialogue window and type the filename for the log file in the filename text box. Click the OK button to save your choices. The file location text box now reflects your log file name and path.


IP Ultra Scan 2000 - Options(Ping Settings)

Options - Ping Settings

IP Ultra Scan 2000 allows to to change to ping time-out value and specify the ping packet size.

To change to ping time-out value, push the up-down button to the desired value. Valid ranges are between 100 and 9500 milliseconds.

To change the ping packet size, push the up-down button to the desired value. Valid choices are 32 or 64 byte packets.

The ping time-out value of 500 ms should be acceptable in most situations.


IP Ultra Scan 2000 - Options(Ping Status)

Options - Ping Status

IP Ultra Scan 2000 allows to ping each IP address up to 4 times to determine the status.

To change to number of pings to send, push the up-down button to the desired value. Valid ranges are between 1 and 4 pings.

Sending more than 1 ping to determine a device status greatly increases the time it takes to complete the ping process.


IP Ultra Scan 2000 - Options(Port Scanning)

Options - Ping Scanning

IP Ultra Scan 2000 allows you to scan responding IP addresses for services like telnet, SMTP, HTTP, FTP, etc.

You can disable port scanning during the ping process by checking the Disable Port Scanning checkbox. A check in the checkbox means port scanning has been disabled.

Disabling port scanning can reduce the time it takes to complete the entire ping process.

Not not scan networks that do not belong to you. This is considered abuse by many people in the Internet community.


IP Ultra Scan 2000 - Options(System Tray)

Options - System Tray

IP Ultra Scan 2000 has system tray support. This allows you to place an icon in the system tray which indicates the status of the program and allows you to restore the program after it has been minimized.

Enable Tray Support by clicking the checkbox Enable Tray Support. This option actives the system tray support.

Minimize to System Tray by clicking the checkbox Minimize To System Tray. This option causes the tray icon to appear only when the program has been minimized.


IP Ultra Scan 2000 - Options(System Tray Idle Icon)

Options - System Tray (Idle Icon)

If you have enabled system tray support from the System Tray option menu, then you can select the icon to indicate an idle condition.

Change the Idle Icon by moving the slider. The icon displayed will be the icon used to indicate an idle condition.


IP Ultra Scan 2000 - Options(System Tray Scanning Icon)

Options - System Tray (Scanning Icon)

If you have enabled system tray support from the System Tray option menu, then you can select the icon to indicate a scanning condition.

Change the Scanning Icon by moving the slider. The icon displayed will be the icon used to indicate a scanning (ping process) condition.


IP Ultra Scan 2000 - Options(DNS)

Options - DNS

IP Ultra Scan 2000 will resolve IP addresses to names. This option only works if a PTR (pointer) record exists in DNS for the IP address. If no PTR record exists, then "No DNS Entry" is recorded to the database.

The ping process is greatly increased if no PTR records exit for the IP addresses. Use the option only when you wish to resolve IP addresses to names.


.topic 1000
The treeview lists all the defined IP address ranges.

.topic 2000
The listview lists IP address ranges, IP addresses details and port scan results.


IP Ultra Scan 2000 - What's New

What's New

Version 2.2.4

  • Re-compiled program to avoid conflict with IP Ultra Monitor 2000 version 2.4.4.

Version 2.2.3

  • Compiled program using Visual Basic 6.0 service pack 5.

Version 2.2.2

  • Re-packaged with Visual Basic. Microsoft Visual Studio Installer 1.1 was not including all required files causing error on application start-up.

Version 2.2.1

  • Compiled setting the UltraTray.ocx control to binary compatibility so it does not clash with IP Ultra Monitor 2000.
  • This installation requires version 1.1 or greater of the Windows Installer. Download it here. Windows Me and Windows 2000 users do not need this file as the Windows Installer is included with the operating system.

Version 2.2.0

  • Compiled referencing Microsoft Data Access Components (MDAC) version 2.5.

Version 2.1.8

  • Fixed HostName database field to accept hostnames larger than 50 characters.
  • Compiled program using Visual Basic 6.0 service pack 4.
  • Minor help file updates to make the help file function when Internet Explorer 5.5 is installed on the client PC.

Version 2.1.7

  • Added error handling for error number 430: "Class does not support Automation or does not support expected interface."
  • Fixed error caused by a hostname having a single quote character in the hostname.

Version 2.16

  • Fixed the error associated with the -C command line option.
  • Added ability to show all, show responding or non-responding objects.
  • Added MORE checking to ensure user has MDAC 2.1.
  • Update help file.

Version 2.14

  • Fixed "subscript out of range" error when performing a single host lookup or ping and then clicking on another range while waiting for results.
  • Added error message to indicate when a PC does not have the required Microsoft Data Access Components (MDAC) installed.
  • Other minor code tweaks.

Version 2.12

  • Fixed problem where IP Ultra Scan 2000 reported the error "The database you are attempting to load is not compatible with this version of IP Ultra Scan 2000." when actually it was.
  • Added coolbar and modified code to re-size controls on the form.
  • Removed view tabs and added a combo box to switch views.
  • Updated HTML help file.
  • Other minor code tweaks.

Version 2.10

  • Converted IP Ultra Scan 2000 from DAO data access to ADO data access. More information is available at http://www.microsoft.com/data
  • Fixed error when attempting to add a TCP port above 32,767.
  • Fixed potential problem when adding an IP address range caused by a user clicking the finished button more than once.
  • Added HTML help file to program.
  • Added database version checking to avoid future database compatibility problems.
  • Added the ability to open the database in shared mode. This allows you to write programs or scripts that access the database while IP Ultra Scan 2000 is running.
  • Updated system tray ActiveX control to be different than the one IP Ultra Monitor 2000 uses to avoid conflicts.

Version 2.09

  • Purchased and implemented Mabry's GetHST DNS control. This has allowed me to implement a much faster DNS name resolution. Host resolution no longer locks up the program!
  • Made changes to the text displayed in the status bar.
  • Added: double clicking on the IP address will bring up the objects details.
  • Added: double clicking on an IP address range will load the range into the listview.
  • Removed the scheduled scan option. Replaced with command line options to begin scan and shutdown scan using the Microsoft task scheduler.
  • Fixed odd problems with taskbar and taskbar icons.
  • Added the ability to define a text label to the IP address ranges.